Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling
Interface UpnpServiceConfiguration

All Known Implementing Classes:
  AndroidUpnpServiceConfiguration, DefaultUpnpServiceConfiguration

    public interface UpnpServiceConfiguration

Shared configuration data of the UPnP stack..

This interface offers methods for retrieval of configuration data by the `Router` and the `Registry`, as well as other parts of the UPnP stack.

You can re-use this interface if you implement a subclass of `UpnpServiceImpl` or if you create a new implementation of `UpnpService`.

Author:
  Christian Bauer

Method Summary
`DatagramIO` | `createDatagramIO(NetworkAddressFactory networkAddressFactory)`
`MulticastReceiver` | `createMulticastReceiver(NetworkAddressFactory networkAddressFactory)`
`NetworkAddressFactory` | `createNetworkAddressFactory()`
`StreamClient` | `createStreamClient()`
`StreamServer` | `createStreamServer(NetworkAddressFactory networkAddressFactory)`
`Executor` | `getAsyncProtocolExecutor()`
`Executor` | `getDatagramIOExecutor()`
`DatagramProcessor` | `getDatagramProcessor()`
`DeviceDescriptorBinder` | `getDeviceDescriptorBinderUDA10()`
`ServiceType[]` | `getExclusiveServiceTypes()` Returns service types that can be handled by this UPnP stack, all others will be ignored.
`GENAEventProcessor` | `getGenaEventProcessor()`
`Executor` | `getMulticastReceiverExecutor()`
`Namespace` | `getNamespace()`
`Executor` | `getRegistryListenerExecutor()`
`Executor` | `getRegistryMaintainerExecutor()`
`int` | `getRegistryMaintenanceIntervalMillis()`
`ServiceDescriptorBinder` | `getServiceDescriptorBinderUDA10()`
`SOAPActionProcessor` | `getSoapActionProcessor()`
`Executor` | `getStreamServerExecutor()`
`Executor` | `getSyncProtocolExecutor()`
`void` | `shutdown()` Called by the `UpnpService` on shutdown, useful to e.g.

Method Detail

### createNetworkAddressFactory

    NetworkAddressFactory createNetworkAddressFactory()

  Returns:
    A new instance of the `NetworkAddressFactory` interface.

### getDatagramProcessor

    DatagramProcessor getDatagramProcessor()

  Returns:
    The shared implementation of `DatagramProcessor`.

### getSoapActionProcessor

    SOAPActionProcessor getSoapActionProcessor()

  Returns:
    The shared implementation of `SOAPActionProcessor`.

### getGenaEventProcessor

    GENAEventProcessor getGenaEventProcessor()

  Returns:
    The shared implementation of `GENAEventProcessor`.

### createStreamClient

    StreamClient createStreamClient()

  Returns:
    A new instance of the `StreamClient` interface.

### createMulticastReceiver

    MulticastReceiver createMulticastReceiver(NetworkAddressFactory networkAddressFactory)

  Parameters:
    `networkAddressFactory` - The configured `NetworkAddressFactory`.
  Returns:
    A new instance of the `MulticastReceiver` interface.

### createDatagramIO

    DatagramIO createDatagramIO(NetworkAddressFactory networkAddressFactory)

  Parameters:
    `networkAddressFactory` - The configured `NetworkAddressFactory`.
  Returns:
    A new instance of the `DatagramIO` interface.

### createStreamServer

    StreamServer createStreamServer(NetworkAddressFactory networkAddressFactory)

  Parameters:
    `networkAddressFactory` - The configured `NetworkAddressFactory`.
  Returns:
    A new instance of the `StreamServer` interface.

### getMulticastReceiverExecutor

    Executor getMulticastReceiverExecutor()

  Returns:
    The executor which runs the listening background threads for multicast datagrams.

### getDatagramIOExecutor

    Executor getDatagramIOExecutor()

  Returns:
    The executor which runs the listening background threads for unicast datagrams.

### getStreamServerExecutor

    Executor getStreamServerExecutor()

  Returns:
    The executor which runs the listening background threads for HTTP requests.

### getDeviceDescriptorBinderUDA10

    DeviceDescriptorBinder getDeviceDescriptorBinderUDA10()

  Returns:
    The shared implementation of `DeviceDescriptorBinder` for the UPnP 1.0 Device Architecture..

### getServiceDescriptorBinderUDA10

    ServiceDescriptorBinder getServiceDescriptorBinderUDA10()

  Returns:
    The shared implementation of `ServiceDescriptorBinder` for the UPnP 1.0 Device Architecture..

### getExclusiveServiceTypes

    ServiceType[] getExclusiveServiceTypes()

  Returns service types that can be handled by this UPnP stack, all others will be ignored.

  Return `null` to completely disable remote device and service discovery. All incoming notifications and search responses will then be dropped immediately. This is mostly useful in applications that only provide services with no (remote) control point functionality.

  Note that a discovered service type with version 2 or 3 will match an exclusive service type with version 1. UPnP services are required to be backwards compatible, version 2 is a superset of version 1, and version 3 is a superset of version 2, etc.

  Returns:
    An array of service types that are exclusively discovered, no other service will be discovered. A `null` return value will disable discovery! An empty array means all services will be discovered.

### getRegistryMaintenanceIntervalMillis

    int getRegistryMaintenanceIntervalMillis()

  Returns:
    The time in milliseconds to wait between each registry maintenance operation.

### getAsyncProtocolExecutor

    Executor getAsyncProtocolExecutor()

  Returns:
    The executor which runs the processing of asynchronous aspects of the UPnP stack (discovery).

### getSyncProtocolExecutor

    Executor getSyncProtocolExecutor()

  Returns:
    The executor which runs the processing of synchronous aspects of the UPnP stack (description, control, GENA).

### getNamespace

    Namespace getNamespace()

  Returns:
    An instance of `Namespace` for this UPnP stack.

### getRegistryMaintainerExecutor

    Executor getRegistryMaintainerExecutor()

  Returns:
    The executor which runs the background thread for maintainting the registry.

### getRegistryListenerExecutor

    Executor getRegistryListenerExecutor()

  Returns:
    The executor which runs the notification threads of registry listeners.

### shutdown

    void shutdown()

  Called by the `UpnpService` on shutdown, useful to e.g. shutdown thread pools.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.